#ifndef LCD_Serial_H
#define LCD_Serial_H
//------------------------------------------------------------------------------
#include "LCD_Serial_Prototypes.h"
#include "../MCP23017/MCP23017.h"
//------------------------------------------------------------------------------
void LCD_init()
{
  EXPANDER_init(0x00,0x00);  //PortA & PortB all outputs
  
  LCD_command(home);
  LCD_command(function_set);
  LCD_command(display_on);
  LCD_command(clear); 
}
//------------------------------------------------------------------------------
void LCD_data(char data)
{
  RS = 1;                        //Data register  ( Strings and characters ).
  
  LCD_transmit(data); 
}
//------------------------------------------------------------------------------
void LCD_command(char command)
{
  RS = 0;                        //Instruction register ( commands ).
  
  LCD_transmit(command); 
}
//------------------------------------------------------------------------------
void LCD_string(char row, char col, char * text)
{
  LCD_command(RowAddr[row] + col);  
  
  while(*text)
  {
    LCD_data(*text++);
  }
}
//------------------------------------------------------------------------------
void LCD_transmit(char data)
{
  EXPANDER_write( OLATA, RS );
  EXPANDER_write( OLATB, data );
  
  LCD_latch();
}
//------------------------------------------------------------------------------
void LCD_latch()
{
  char data = 0x00 + RS;
  
  EXPANDER_write( OLATA, (data | EN_high) );   //Enable is pulsed to latch the data
  __delay_ms(5);
  EXPANDER_write( OLATA, (data & EN_low) );
}
//------------------------------------------------------------------------------
#endif